be.fgov.ehealth.dics.protocol.v4

## Class ConsultDmppType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.actual.common.DmppKeyType
  - - be.fgov.ehealth.dics.protocol.v4.ConsultDmppType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:07+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultDmppType
      extends DmppKeyType
      implements Serializable

  Java class for ConsultDmppType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultDmppType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType">
             <sequence>
               <group ref="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppFields"/>
               <group ref="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppReimbursementFields"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultDmppType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `BigDecimal` | `getPrice()` Gets the value of the price property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `Boolean` | `isCheap()` Gets the value of the cheap property.
    `Boolean` | `isCheapest()` Gets the value of the cheapest property.
    `boolean` | `isReimbursable()` Gets the value of the reimbursable property.
    `void` | `setCheap(Boolean value)` Sets the value of the cheap property.
    `void` | `setCheapest(Boolean value)` Sets the value of the cheapest property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setPrice(BigDecimal value)` Sets the value of the price property.
    `void` | `setReimbursable(boolean value)` Sets the value of the reimbursable property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v4.actual.common.DmppKeyType

      `getCode, getCodeType, getDeliveryEnvironment, setCode, setCodeType, setDeliveryEnvironment`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultDmppType

          public ConsultDmppType()

  - ### Method Detail

    - #### getPrice

          public BigDecimal getPrice()

      Gets the value of the price property.
      Returns:
        possible object is `BigDecimal`

    - #### setPrice

          public void setPrice(BigDecimal value)

      Sets the value of the price property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### isCheap

          public Boolean isCheap()

      Gets the value of the cheap property.
      Returns:
        possible object is `Boolean`

    - #### setCheap

          public void setCheap(Boolean value)

      Sets the value of the cheap property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isCheapest

          public Boolean isCheapest()

      Gets the value of the cheapest property.
      Returns:
        possible object is `Boolean`

    - #### setCheapest

          public void setCheapest(Boolean value)

      Sets the value of the cheapest property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isReimbursable

          public boolean isReimbursable()

      Gets the value of the reimbursable property.

    - #### setReimbursable

          public void setReimbursable(boolean value)

      Sets the value of the reimbursable property.

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.